{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  options.me = {
    git.config = lib.mkOption {
      type = lib.types.nullOr lib.types.path;
      default = null;
      example = ./files/gitconfig_home;
      description = "A git config file.";
    };
  };

  config = lib.mkMerge [
    {
      environment.systemPackages = with pkgs; [
        git
      ];
    }
    (
      lib.mkIf config.me.git.config != null {
        home-manager.users.talexander =
          { pkgs, ... }:
          {
            home.file.".gitconfig" = {
              source = config.me.git.config;
            };
          };
      }
    )
  ];
}
